import { CommandBase } from '../base/CommandBase';
import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
export declare class ResizeImage extends CommandBase<'resizeImage'> {
    constructor(doc: Doc, payload: CommandPayloadMap['resizeImage']);
    protected execute(): Promise<null>;
}
